class Conv3d(Module):
  __parameters__ = ["weight", "bias", ]
  __buffers__ = []
  weight : Tensor
  bias : Optional[Tensor]
  training : bool
  _is_full_backward_hook : NoneType
  transposed : bool
  _reversed_padding_repeated_twice : List[int]
  out_channels : Final[int] = 128
  in_channels : Final[int] = 64
  kernel_size : Final[Tuple[int, int, int]] = (3, 3, 3)
  output_padding : Final[Tuple[int, int, int]] = (0, 0, 0)
  padding_mode : Final[str] = "zeros"
  groups : Final[int] = 1
  dilation : Final[Tuple[int, int, int]] = (1, 1, 1)
  padding : Final[str] = "same"
  stride : Final[Tuple[int, int, int]] = (1, 1, 1)
  def forward(self: __torch__.torch.nn.modules.conv.___torch_mangle_4.Conv3d,
    input: Tensor) -> Tensor:
    _0 = (self)._conv_forward(input, self.weight, self.bias, )
    return _0
  def _conv_forward(self: __torch__.torch.nn.modules.conv.___torch_mangle_4.Conv3d,
    input: Tensor,
    weight: Tensor,
    bias: Optional[Tensor]) -> Tensor:
    _1 = torch.conv3d(input, weight, bias, [1, 1, 1], "same", [1, 1, 1])
    return _1
